C$$$  SUBPROGRAM DOCUMENTATION BLOCK 
C                .      .    .                                       . 
C SUBPROGRAM:    BADCHR      FIND FIRST NON-PRINTING CHAR. IN A STRING
C   PRGMMR: M. BARTH         ORG: FSL        DATE: 03-11-19
C 
C ABSTRACT: FIND FIRST NON-PRINTING CHARACTER IN A STRING 
C 
C PROGRAM HISTORY LOG: 
C   03-11-19  M. BARTH         ORIGINAL PROGRAM     
C
C USAGE:    I = BADCHR(TEXT,N)                
C
C INPUT ARGUMENT LIST:
C     TEXT       - CHARACTER           STRING TO BE SEARCHED 
C     N          - INTEGER             NUMBER OF CHARACTERS TO SEARCH
C    
C OUTPUT FUNCTIONAL RETURN:
C     BADCHR     - INTEGER             INDEX (0 TO N) OF THE FIRST
C                                      NON-PRINTING CHARACTER
C
C ATTRIBUTES: 
C   LANGUAGE: FORTRAN-77 + EXTENSIONS
C   MACHINE:  UNIX
C$$$ 
C
	INTEGER FUNCTION BADCHR(TEXT,N)
C
	INCLUDE 'IMPLICIT'

	CHARACTER*(*) TEXT
	INTEGER I,N
C
	DO 100 I = 1,N
	   IF(ICHAR(TEXT(I:I)).LT.32.OR.ICHAR(TEXT(I:I)).GT.126)THEN
C
	      BADCHR = I
	      RETURN
	   ENDIF
 100    CONTINUE
C
	BADCHR = 0
C
	RETURN
	END
