
C$$$  SUBPROGRAM DOCUMENTATION BLOCK 
C                .      .    .                                       . 
C SUBPROGRAM:    COSD        CALCULATE COS WHEN ARGUMENT IS IN DEGREES 
C   PRGMMR: PATTY MILLER     ORG: FSL/PROFS  DATE: 90-06-15 
C 
C ABSTRACT: FUNCTION TO CALCULATE COSINE WHEN ARGUMENT IS IN DEGREES. 
C 
C PROGRAM HISTORY LOG: 
C   90-03-16  PATTY MILLER    ORIGINAL VERSION
C 
C USAGE:    COSD(ANGLE)
C   INPUT ARGUMENT LIST: 
C     ANGLE    - REAL  ANGLE IN DEGREE
C 
C   OUTPUT ARGUMENT LIST:   
C
C REMARKS: 
C 
C ATTRIBUTES: 
C   LANGUAGE: FORTRAN-77 + EXTENSIONS
C   MACHINE:  NAS-9000, VAX, UNIX
C$$$ 
      FUNCTION COSD(ANGLE)

C     PURPOSE CALCULATE COS WHEN ARGUMENT IS IN DEGREES.

      REAL ANGLE,COSD

      RAD = (2.*(3.14159265)/360.)*ANGLE
      COSD = COS(RAD)

      RETURN
      END
