C        FORTRAN STYLE NETCDF RECORD


      INTEGER LEVEL
      PARAMETER (LEVEL = 202 )
      INTEGER STANAMLEN
      PARAMETER (STANAMLEN = 6 )
      INTEGER PROVIDERNAMLEN
      PARAMETER (PROVIDERNAMLEN = 11 )
      INTEGER TOTALIDLEN
      PARAMETER (TOTALIDLEN = 30 )
      INTEGER MAXSTATICIDS
      PARAMETER (MAXSTATICIDS = 200 )
      INTEGER NINVENTORYBINS
      PARAMETER (NINVENTORYBINS = 30 )
      INTEGER BEAM
      PARAMETER (BEAM = 5 )
      INTEGER BEAMNAMELEN
      PARAMETER (BEAMNAMELEN = 8 )
      INTEGER MODE
      PARAMETER (MODE = 3 )
      INTEGER MODENAMELEN
      PARAMETER (MODENAMELEN = 20 )
      INTEGER QCCHECKNUM
      PARAMETER (QCCHECKNUM = 11 )
      INTEGER QCCHECKNAMELEN
      PARAMETER (QCCHECKNAMELEN = 60 )
      INTEGER ICCHECKNUM
      PARAMETER (ICCHECKNUM = 4 )
      INTEGER ICCHECKNAMELEN
      PARAMETER (ICCHECKNAMELEN = 72 )

C
C     POINTER TO VAR DATA
      INTEGER*4 RPTR(117)
C
C     NETCDF VARIABLES
C
      INTEGER*4 WMOSTANUM
      DOUBLE PRECISION OBSERVATIONTIME
      CHARACTER*(STANAMLEN) PROVIDERID
      CHARACTER*(PROVIDERNAMLEN) DATAPROVIDER
      INTEGER*2 STATIONTYPE
      REAL*4 LEVELS(LEVEL)
      REAL*4 WINDSPEED(LEVEL)
      CHARACTER*(LEVEL) WINDSPEEDDD
      INTEGER*4 WINDSPEEDQCA(LEVEL)
      INTEGER*4 WINDSPEEDQCR(LEVEL)
      INTEGER*4 WINDSPEEDICA(LEVEL)
      INTEGER*4 WINDSPEEDICR(LEVEL)
      INTEGER*4 WSQCFLAG(LEVEL)
      INTEGER*4 WINDDIR(LEVEL)
      CHARACTER*(LEVEL) WINDDIRDD
      INTEGER*4 WINDDIRQCA(LEVEL)
      INTEGER*4 WINDDIRQCR(LEVEL)
      INTEGER*4 WINDDIRICA(LEVEL)
      INTEGER*4 WINDDIRICR(LEVEL)
      INTEGER*4 WDQCFLAG(LEVEL)
      REAL*4 TEMPERATURE(LEVEL)
      CHARACTER*(LEVEL) TEMPERATUREDD
      INTEGER*4 TEMPERATUREQCA(LEVEL)
      INTEGER*4 TEMPERATUREQCR(LEVEL)
      INTEGER*4 TEMPERATUREICA(LEVEL)
      INTEGER*4 TEMPERATUREICR(LEVEL)
      INTEGER*4 TEMPQCFLAG(LEVEL)
      REAL*4 WCORRECTEDTEMP(LEVEL)
      REAL*4 UCOMPONENT(LEVEL)
      CHARACTER*(LEVEL) UCOMPONENTDD
      INTEGER*4 UCOMPONENTQCA(LEVEL)
      INTEGER*4 UCOMPONENTQCR(LEVEL)
      INTEGER*4 UCOMPONENTICA(LEVEL)
      INTEGER*4 UCOMPONENTICR(LEVEL)
      INTEGER*4 UQCFLAG(LEVEL)
      REAL*4 VCOMPONENT(LEVEL)
      CHARACTER*(LEVEL) VCOMPONENTDD
      INTEGER*4 VCOMPONENTQCA(LEVEL)
      INTEGER*4 VCOMPONENTQCR(LEVEL)
      INTEGER*4 VCOMPONENTICA(LEVEL)
      INTEGER*4 VCOMPONENTICR(LEVEL)
      INTEGER*4 VQCFLAG(LEVEL)
      REAL*4 WCOMPONENT(LEVEL)
      INTEGER*4 WQCFLAG(LEVEL)
      REAL*4 UGUSTCOMPONENT(LEVEL)
      INTEGER*4 UGQCFLAG(LEVEL)
      REAL*4 VGUSTCOMPONENT(LEVEL)
      INTEGER*4 VGQCFLAG(LEVEL)
      REAL*4 USTDDEVCOMPONENT(LEVEL)
      INTEGER*4 USTDQCFLAG(LEVEL)
      REAL*4 VSTDDEVCOMPONENT(LEVEL)
      INTEGER*4 VSTDQCFLAG(LEVEL)
      REAL*4 WSTDDEVCOMPONENT(LEVEL)
      INTEGER*4 WSTDQCFLAG(LEVEL)
      REAL*4 MIXINGLAYER
      INTEGER*4 MLQCFLAG
      REAL*4 LATITUDE
      REAL*4 LONGITUDE
      REAL*4 ELEVATION
      REAL*4 PRESSURE
      REAL*4 SEALEVELPRESSURE
      REAL*4 ALTIMETER
      REAL*4 TEMPERATURESFC
      REAL*4 RELHUMIDITY
      REAL*4 WINDSPEEDSFC
      REAL*4 WINDDIRSFC
      REAL*4 RAINRATE
      INTEGER*4 WINDRASSMODE(LEVEL)
      INTEGER*2 NUMWINDMODESUSED
      INTEGER*2 NUMBEAMSUSED
      INTEGER*2 NUMRASSMODESUSED
      REAL*4 RADVELOCITY(BEAM*LEVEL)
      REAL*4 SIGNALNOISERATIO(BEAM*LEVEL)
      INTEGER*2 CONSENSUSNUM(BEAM*LEVEL)
      INTEGER*2 CONSENSUSRECORDS(BEAM*MODE)
      INTEGER*2 CONSENSUSMINPASS(BEAM*MODE)
      REAL*4 CONSENSUSWINDOW(BEAM*MODE)
      INTEGER*2 NCI(BEAM*MODE)
      INTEGER*2 NSPEC(BEAM*MODE)
      REAL*4 PULSEWIDTH(BEAM*MODE)
      REAL*4 PRP(BEAM*MODE)
      REAL*4 NYQUISTVELOCITY(BEAM*MODE)
      REAL*4 GATESPACING(BEAM*MODE)
      CHARACTER*(MODENAMELEN) MODENAMES(MODE)
      CHARACTER*(BEAMNAMELEN) BEAMNAMES(BEAM)
      REAL*4 AZIMBEAM(BEAM)
      REAL*4 ELEVBEAM(BEAM)
      INTEGER*2 VERTCORRECTIONFLAG(MODE)
      REAL*4 RASSWCOMPONENT(LEVEL)
      INTEGER*2 RASSCONSENSUSNUM(LEVEL)
      REAL*4 RASSSIGNALNOISERATIO(LEVEL)
      INTEGER*2 RASSCONSENSUSRECORDS
      INTEGER*2 RASSCONSENSUSMINPASS
      REAL*4 RASSCONSENSUSWINDOW
      INTEGER*2 RASSNCI
      INTEGER*2 RASSNSPEC
      REAL*4 RASSPULSEWIDTH
      REAL*4 RASSPRP
      REAL*4 RASSGATESPACING
      INTEGER*4 AVERAGEMINUTES
      INTEGER*4 INVTIME
      INTEGER*4 PREVRECORD
      INTEGER*4 ISOVERFLOW
      INTEGER*4 AVERAGEMINUTESPERMODE(MODE)
      INTEGER*4 RASSAVERAGEMINUTES
      INTEGER*2 DELAYTOFIRSTGATE(BEAM*MODE)
      INTEGER*2 RASSDELAYTOFIRSTGATE
      INTEGER*2 NUMLEVELS(MODE)
      INTEGER*2 RASSNUMLEVELS
      REAL*4 PBL
      DOUBLE PRECISION STARTTIME(MODE)
      DOUBLE PRECISION RASSSTARTTIME
      REAL*4 RASSNYQUISTVELOCITY
      REAL*4 SOILTEMPERATURE
      REAL*4 SOILMOISTUREPERCENT
      REAL*4 SOLARRADIATION
      REAL*4 SNOWLEVEL
C
C UTILITY AND MAPPING VARIABLES
C
      INTEGER III
      INTEGER IRECPIDIDX /-1/
      INTEGER IRECDPIDX  /-1/
      INTEGER IRECLATIDX /57/
      INTEGER IRECLONIDX /58/
C
C ATTACH VARS TO REC POINTER
C
      RPTR(1)=%LOC(WMOSTANUM)
      RPTR(2)=%LOC(OBSERVATIONTIME)
      RPTR(3)=%LOC(PROVIDERID)

      RPTR(4)=%LOC(DATAPROVIDER)

      RPTR(5)=%LOC(STATIONTYPE)
      RPTR(6)=%LOC(LEVELS(1))
      RPTR(7)=%LOC(WINDSPEED(1))
      RPTR(8)=%LOC(WINDSPEEDDD)

      RPTR(9)=%LOC(WINDSPEEDQCA(1))
      RPTR(10)=%LOC(WINDSPEEDQCR(1))
      RPTR(11)=%LOC(WINDSPEEDICA(1))
      RPTR(12)=%LOC(WINDSPEEDICR(1))
      RPTR(13)=%LOC(WSQCFLAG(1))
      RPTR(14)=%LOC(WINDDIR(1))
      RPTR(15)=%LOC(WINDDIRDD)

      RPTR(16)=%LOC(WINDDIRQCA(1))
      RPTR(17)=%LOC(WINDDIRQCR(1))
      RPTR(18)=%LOC(WINDDIRICA(1))
      RPTR(19)=%LOC(WINDDIRICR(1))
      RPTR(20)=%LOC(WDQCFLAG(1))
      RPTR(21)=%LOC(TEMPERATURE(1))
      RPTR(22)=%LOC(TEMPERATUREDD)

      RPTR(23)=%LOC(TEMPERATUREQCA(1))
      RPTR(24)=%LOC(TEMPERATUREQCR(1))
      RPTR(25)=%LOC(TEMPERATUREICA(1))
      RPTR(26)=%LOC(TEMPERATUREICR(1))
      RPTR(27)=%LOC(TEMPQCFLAG(1))
      RPTR(28)=%LOC(WCORRECTEDTEMP(1))
      RPTR(29)=%LOC(UCOMPONENT(1))
      RPTR(30)=%LOC(UCOMPONENTDD)

      RPTR(31)=%LOC(UCOMPONENTQCA(1))
      RPTR(32)=%LOC(UCOMPONENTQCR(1))
      RPTR(33)=%LOC(UCOMPONENTICA(1))
      RPTR(34)=%LOC(UCOMPONENTICR(1))
      RPTR(35)=%LOC(UQCFLAG(1))
      RPTR(36)=%LOC(VCOMPONENT(1))
      RPTR(37)=%LOC(VCOMPONENTDD)

      RPTR(38)=%LOC(VCOMPONENTQCA(1))
      RPTR(39)=%LOC(VCOMPONENTQCR(1))
      RPTR(40)=%LOC(VCOMPONENTICA(1))
      RPTR(41)=%LOC(VCOMPONENTICR(1))
      RPTR(42)=%LOC(VQCFLAG(1))
      RPTR(43)=%LOC(WCOMPONENT(1))
      RPTR(44)=%LOC(WQCFLAG(1))
      RPTR(45)=%LOC(UGUSTCOMPONENT(1))
      RPTR(46)=%LOC(UGQCFLAG(1))
      RPTR(47)=%LOC(VGUSTCOMPONENT(1))
      RPTR(48)=%LOC(VGQCFLAG(1))
      RPTR(49)=%LOC(USTDDEVCOMPONENT(1))
      RPTR(50)=%LOC(USTDQCFLAG(1))
      RPTR(51)=%LOC(VSTDDEVCOMPONENT(1))
      RPTR(52)=%LOC(VSTDQCFLAG(1))
      RPTR(53)=%LOC(WSTDDEVCOMPONENT(1))
      RPTR(54)=%LOC(WSTDQCFLAG(1))
      RPTR(55)=%LOC(MIXINGLAYER)
      RPTR(56)=%LOC(MLQCFLAG)
      RPTR(57)=%LOC(LATITUDE)
      RPTR(58)=%LOC(LONGITUDE)
      RPTR(59)=%LOC(ELEVATION)
      RPTR(60)=%LOC(PRESSURE)
      RPTR(61)=%LOC(SEALEVELPRESSURE)
      RPTR(62)=%LOC(ALTIMETER)
      RPTR(63)=%LOC(TEMPERATURESFC)
      RPTR(64)=%LOC(RELHUMIDITY)
      RPTR(65)=%LOC(WINDSPEEDSFC)
      RPTR(66)=%LOC(WINDDIRSFC)
      RPTR(67)=%LOC(RAINRATE)
      RPTR(68)=%LOC(WINDRASSMODE(1))
      RPTR(69)=%LOC(NUMWINDMODESUSED)
      RPTR(70)=%LOC(NUMBEAMSUSED)
      RPTR(71)=%LOC(NUMRASSMODESUSED)
      RPTR(72)=%LOC(RADVELOCITY(1))
      RPTR(73)=%LOC(SIGNALNOISERATIO(1))
      RPTR(74)=%LOC(CONSENSUSNUM(1))
      RPTR(75)=%LOC(CONSENSUSRECORDS(1))
      RPTR(76)=%LOC(CONSENSUSMINPASS(1))
      RPTR(77)=%LOC(CONSENSUSWINDOW(1))
      RPTR(78)=%LOC(NCI(1))
      RPTR(79)=%LOC(NSPEC(1))
      RPTR(80)=%LOC(PULSEWIDTH(1))
      RPTR(81)=%LOC(PRP(1))
      RPTR(82)=%LOC(NYQUISTVELOCITY(1))
      RPTR(83)=%LOC(GATESPACING(1))
      RPTR(84)=%LOC(MODENAMES)

      RPTR(85)=%LOC(BEAMNAMES)

      RPTR(86)=%LOC(AZIMBEAM(1))
      RPTR(87)=%LOC(ELEVBEAM(1))
      RPTR(88)=%LOC(VERTCORRECTIONFLAG(1))
      RPTR(89)=%LOC(RASSWCOMPONENT(1))
      RPTR(90)=%LOC(RASSCONSENSUSNUM(1))
      RPTR(91)=%LOC(RASSSIGNALNOISERATIO(1))
      RPTR(92)=%LOC(RASSCONSENSUSRECORDS)
      RPTR(93)=%LOC(RASSCONSENSUSMINPASS)
      RPTR(94)=%LOC(RASSCONSENSUSWINDOW)
      RPTR(95)=%LOC(RASSNCI)
      RPTR(96)=%LOC(RASSNSPEC)
      RPTR(97)=%LOC(RASSPULSEWIDTH)
      RPTR(98)=%LOC(RASSPRP)
      RPTR(99)=%LOC(RASSGATESPACING)
      RPTR(100)=%LOC(AVERAGEMINUTES)
      RPTR(101)=%LOC(INVTIME)
      RPTR(102)=%LOC(PREVRECORD)
      RPTR(103)=%LOC(ISOVERFLOW)
      RPTR(104)=%LOC(AVERAGEMINUTESPERMODE(1))
      RPTR(105)=%LOC(RASSAVERAGEMINUTES)
      RPTR(106)=%LOC(DELAYTOFIRSTGATE(1))
      RPTR(107)=%LOC(RASSDELAYTOFIRSTGATE)
      RPTR(108)=%LOC(NUMLEVELS(1))
      RPTR(109)=%LOC(RASSNUMLEVELS)
      RPTR(110)=%LOC(PBL)
      RPTR(111)=%LOC(STARTTIME(1))
      RPTR(112)=%LOC(RASSSTARTTIME)
      RPTR(113)=%LOC(RASSNYQUISTVELOCITY)
      RPTR(114)=%LOC(SOILTEMPERATURE)
      RPTR(115)=%LOC(SOILMOISTUREPERCENT)
      RPTR(116)=%LOC(SOLARRADIATION)
      RPTR(117)=%LOC(SNOWLEVEL)
C
C ASSIGN MISSING VALUE
C
      WMOSTANUM =  1000000000 
      OBSERVATIONTIME = 1.797693134862315700E+308
      PROVIDERID = ''
      DATAPROVIDER = ''
      STATIONTYPE = -32767
      DO III = 1, LEVEL
         LEVELS(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         WINDSPEED(III) = 3.40282346E+38
      ENDDO
      WINDSPEEDDD = ''
      DO III = 1, LEVEL
         WINDSPEEDQCA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         WINDSPEEDQCR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         WINDSPEEDICA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         WINDSPEEDICR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         WSQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         WINDDIR(III) =  2147483647 
      ENDDO
      WINDDIRDD = ''
      DO III = 1, LEVEL
         WINDDIRQCA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         WINDDIRQCR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         WINDDIRICA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         WINDDIRICR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         WDQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         TEMPERATURE(III) = 3.40282346E+38
      ENDDO
      TEMPERATUREDD = ''
      DO III = 1, LEVEL
         TEMPERATUREQCA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         TEMPERATUREQCR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         TEMPERATUREICA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         TEMPERATUREICR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         TEMPQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         WCORRECTEDTEMP(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         UCOMPONENT(III) = 3.40282346E+38
      ENDDO
      UCOMPONENTDD = ''
      DO III = 1, LEVEL
         UCOMPONENTQCA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         UCOMPONENTQCR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         UCOMPONENTICA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         UCOMPONENTICR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         UQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         VCOMPONENT(III) = 3.40282346E+38
      ENDDO
      VCOMPONENTDD = ''
      DO III = 1, LEVEL
         VCOMPONENTQCA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         VCOMPONENTQCR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         VCOMPONENTICA(III) = -1
      ENDDO
      DO III = 1, LEVEL
         VCOMPONENTICR(III) = -1
      ENDDO
      DO III = 1, LEVEL
         VQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         WCOMPONENT(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         WQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         UGUSTCOMPONENT(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         UGQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         VGUSTCOMPONENT(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         VGQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         USTDDEVCOMPONENT(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         USTDQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         VSTDDEVCOMPONENT(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         VSTDQCFLAG(III) =  2147483647 
      ENDDO
      DO III = 1, LEVEL
         WSTDDEVCOMPONENT(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         WSTDQCFLAG(III) =  2147483647 
      ENDDO
      MIXINGLAYER = 3.40282346E+38
      MLQCFLAG =  2147483647 
      LATITUDE = 3.40282346E+38
      LONGITUDE = 3.40282346E+38
      ELEVATION = 3.40282346E+38
      PRESSURE = 3.40282346E+38
      SEALEVELPRESSURE = 3.40282346E+38
      ALTIMETER = 3.40282346E+38
      TEMPERATURESFC = 3.40282346E+38
      RELHUMIDITY = 3.40282346E+38
      WINDSPEEDSFC = 3.40282346E+38
      WINDDIRSFC = 3.40282346E+38
      RAINRATE = 3.40282346E+38
      DO III = 1, LEVEL
         WINDRASSMODE(III) =  2147483647 
      ENDDO
      NUMWINDMODESUSED = -32767
      NUMBEAMSUSED = -32767
      NUMRASSMODESUSED = -32767
      DO III = 1, BEAM,LEVEL
         RADVELOCITY(III) = 3.40282346E+38
      ENDDO
      DO III = 1, BEAM,LEVEL
         SIGNALNOISERATIO(III) = 3.40282346E+38
      ENDDO
      DO III = 1, BEAM,LEVEL
         CONSENSUSNUM(III) = -32767
      ENDDO
      DO III = 1, BEAM,MODE
         CONSENSUSRECORDS(III) = -32767
      ENDDO
      DO III = 1, BEAM,MODE
         CONSENSUSMINPASS(III) = -32767
      ENDDO
      DO III = 1, BEAM,MODE
         CONSENSUSWINDOW(III) = 3.40282346E+38
      ENDDO
      DO III = 1, BEAM,MODE
         NCI(III) = -32767
      ENDDO
      DO III = 1, BEAM,MODE
         NSPEC(III) = -32767
      ENDDO
      DO III = 1, BEAM,MODE
         PULSEWIDTH(III) = 3.40282346E+38
      ENDDO
      DO III = 1, BEAM,MODE
         PRP(III) = 3.40282346E+38
      ENDDO
      DO III = 1, BEAM,MODE
         NYQUISTVELOCITY(III) = 3.40282346E+38
      ENDDO
      DO III = 1, BEAM,MODE
         GATESPACING(III) = 3.40282346E+38
      ENDDO
      DO III = 1, MODE
         MODENAMES(III) = ''
      ENDDO
      DO III = 1, BEAM
         BEAMNAMES(III) = ''
      ENDDO
      DO III = 1, BEAM
         AZIMBEAM(III) = 3.40282346E+38
      ENDDO
      DO III = 1, BEAM
         ELEVBEAM(III) = 3.40282346E+38
      ENDDO
      DO III = 1, MODE
         VERTCORRECTIONFLAG(III) = -32767
      ENDDO
      DO III = 1, LEVEL
         RASSWCOMPONENT(III) = 3.40282346E+38
      ENDDO
      DO III = 1, LEVEL
         RASSCONSENSUSNUM(III) = -32767
      ENDDO
      DO III = 1, LEVEL
         RASSSIGNALNOISERATIO(III) = 3.40282346E+38
      ENDDO
      RASSCONSENSUSRECORDS = -32767
      RASSCONSENSUSMINPASS = -32767
      RASSCONSENSUSWINDOW = 3.40282346E+38
      RASSNCI = -32767
      RASSNSPEC = -32767
      RASSPULSEWIDTH = 3.40282346E+38
      RASSPRP = 3.40282346E+38
      RASSGATESPACING = 3.40282346E+38
      AVERAGEMINUTES =  2147483647 
      INVTIME =  0 
      PREVRECORD =  -1 
      ISOVERFLOW =  0 
      DO III = 1, MODE
         AVERAGEMINUTESPERMODE(III) =  2147483647 
      ENDDO
      RASSAVERAGEMINUTES =  2147483647 
      DO III = 1, BEAM,MODE
         DELAYTOFIRSTGATE(III) = -32767
      ENDDO
      RASSDELAYTOFIRSTGATE = -32767
      DO III = 1, MODE
         NUMLEVELS(III) = -32767
      ENDDO
      RASSNUMLEVELS = -32767
      PBL = 3.40282346E+38
      DO III = 1, MODE
         STARTTIME(III) = 1.797693134862315700E+308
      ENDDO
      RASSSTARTTIME = 1.797693134862315700E+308
      RASSNYQUISTVELOCITY = 3.40282346E+38
      SOILTEMPERATURE = 3.40282346E+38
      SOILMOISTUREPERCENT = 3.40282346E+38
      SOLARRADIATION = 3.40282346E+38
      SNOWLEVEL = 3.40282346E+38
