C***********************************************************************
C*****************************  INTQC2CON1 *****************************
C***********************************************************************
C**
C**  NAME:  INTQC2CON1
C**
C**
C**
C**  PURPOSE
C**  =======
C**  INCLUDE FILE                BASELINE VERSION   09/03/08 L. BENJAMIN
C**  PARAMETERS USED THROUGHOUT THE UA AND MSAS SYSTEM
C**

C**
C**  CONTAINS COMPUTER CENTER/SITE SPECIFIC VARIABLES 
C**
C**
C**  VARIABLES
C**  =========
C**  LABEL           TYPE ................DESCRIPTION..................
C**  
C**  FSL_P           I    FORECAST SYSTEMS LAB POINTER 
C**  NMC_P           I    NATIONAL METEOROLOGICAL CENTER POINTER 
C**  NCAR_P          I    NATIONAL CENTER FOR ATMOSPHERIC RESEARCH PTR 
C**  WFOA_P          I    WFO ADVANCED POINTER

C***********************************************************************
C***********************************************************************



C   --------------------------------------------------------------------
C   COMPUTER CENTERS
C   --------------------------------------------------------------------
  
      INTEGER     FSL_P
      INTEGER     NMC_P
      INTEGER     NCAR_P
      INTEGER     WFOA_P
      INTEGER     TOTSITES_P

      PARAMETER ( FSL_P      = 1     )
      PARAMETER ( NMC_P      = 2     )
      PARAMETER ( NCAR_P     = 3     )
      PARAMETER ( WFOA_P     = 4     )
      PARAMETER ( TOTSITES_P = 4     )

      
      CHARACTER*32 FACNAM(TOTSITES_P)
      DATA  FACNAM(1) / 'FORECAST SYSTEMS LAB, NOAA' /
      DATA  FACNAM(2) / 'NAT CNTR ENVIRO PRED, NOAA' /
      DATA  FACNAM(3) / 'NATIONAL CNTR FOR ATMO RESEARCH' /
      DATA  FACNAM(4) / 'WFO ADVANCED, NOAA' /




