C        The following variables and COMMON /SRCHTBL1/ block are 
C        shared by
C        SOBBF
C        WTOBS
C        SSCHTB
C
        INTEGER   NUM_STA,
     .            NSTA_ALLSRC
C
C        NUM_STA         Number of stations that -after INGEST- 
C                        contribute at
C                        least one good data value in MAPS format.
C
C
C        NSTA_ALLSRC     Number of stations collected in the search 
C                        tables (with
C                        at least one good data value), for all the 
C                        data sources
C                        processed so far.
C
        REAL   X_COORD (MXST_P),
     .         Y_COORD (MXST_P)
C
C        X_COORD         Array for abscissas of the participating 
C                        stations, in
C                        reference to the Cartesian coordinates of the 
C                        map
C                        projection plane, all data sources combined.
C
C        Y_COORD         Array for ordinates of the participating 
C                        stations, in
C                        reference to the Cartesian coordinates of 
C                        the map
C                        projection plane, all data sources combined.
C

          COMMON /SRCHTBL1/  NUM_STA,NSTA_ALLSRC,X_COORD,Y_COORD
C DEC/CMS REPLACEMENT HISTORY, Element SRCHTBL1.FOR
C *1    22-APR-1993 19:29:48 KEVB "Baseline version"
C DEC/CMS REPLACEMENT HISTORY, Element SRCHTBL1.FOR
