C     THIS COMMON (STRCCOM) IS USED TO TRACK THE SFCING STATION
C     RECORDS AGAINST THE RECORD NUMBERS IN THE NETCDF FILES
C     FROM WHICH THEY WERE READ IN.  THIS IS NEEDED SO SFCING
C     CAN COMMUNICATE THIS INFO TO SFCHQC, WHO'LL PASS IT ALONG
C     TO QCSTG3.
C
C     M. BARTH  06/24/98     ORIGINAL VERSION
C     M. BARTH  01/08/01     CHANGED ARRAYS TO HOLD 3 HOURS WORTH
C                            OF FILES (WAS 2 HOURS)
C     M. BARTH  08/23/06     CHANGED MXSTRF FROM 15 TO 18 TO
C                            ACCOMMODATE ADDITION OF URBANET
C     M. BARTH  06/13/08     CHANGED MXSTRF FROM 18 TO 21 TO
C                            ACCOMMODATE ADDITION OF URBANET
C     M. BARTH  08/06/27     CHANGED MXSTRF FROM 21 TO 24 TO
C                            ACCOMMODATE ADDITION OF HIGH FREQUENCY
C                            METAR
C     M. BARTH  09/02/13     CHANGED MXSTRF FROM 24 TO 30 TO
C                            ACCOMMODATE ADDITION OF CRN AND HCN
C     M. BARTH  10/11/04     CHANGED MXSTRF FROM 30 TO 33 TO
C                            ACCOMMODATE ADDITION OF MOBILE
C
C VARIABLES:
C
C     NFILES    I            NUMBER OF NETCDF FILES READ IN
C     FNAMES    CA           NAMES OF THE NETCDF FILES
C     FNUM      IA           FILE NUMBER (1-NFILES) FOR EACH STATION
C     RNUM      IA           RECORD NUMBER WITHIN THE FILE FOR EACH
C                            STATION
C     LNUM      I            LAST POSITION USED IN FNUM & RNUM
C
C     MXSTRF    PARAMETER    SIZE OF NFILES ARRAY
C
      INTEGER MXSTRF
      PARAMETER (MXSTRF=33)

      CHARACTER*75 FNAMES(MXSTRF)
      INTEGER NFILES,LNUM,FNUM(MXST_P*3),RNUM(MXST_P*3)

      COMMON/STRC/FNAMES
      COMMON/STRI/NFILES,LNUM,FNUM,RNUM
C
