        INTEGER
     .                  VAR_INDX (NVARMAX_P),
     .                  LEV_INDX (NZMAX_P)
C
C        VAR_INDX        Array that sets the order in which meteorologi
Cal
C                        variables are to be looped thorugh in this rou
Cine.
C                        Usage: VAR_INDX (i) = j, with 1 <= i <= NVAR_P
C
C                        Macro NVAR_P is the number of
C                        meteorological variables normally processed by
Cthe
C                        MAPS system.
C
C        LEV_INDX        Array that sets the order in which analysis le
Cels
C                        are to be looped through in this routine. Usag
C:
C                        LEV_INDX (i) = j, where 1 <= i <= NZ_P.
C                        NZ_P is the number of vertical
C                        levels normally processed by the MAPS system.
C
        COMMON /VLINDX/ VAR_INDX, LEV_INDX
C DEC/CMS REPLACEMENT HISTORY, Element VLINDX.FOR
C *1    22-APR-1993 19:29:57 KEVB "Baseline version"
C DEC/CMS REPLACEMENT HISTORY, Element VLINDX.FOR
